Page MenuHomePhabricator

{{SUBJECTSPACE}} should not convert spaces to underscores
Closed, ResolvedPublic

Description

As seen at [[vi:Thành viên:Mxn/Từ thần chú không gian tên]], the {{SUBJECTSPACE}} magic word converts spaces to underscores unless a page name is explicitly specified using the {{SUBJECTSPACE:…}} syntax.

This behavior causes problems primarily on Vietnamese-language wikis, in which nearly all namespace names are compound words. For example, templates imported from the English Wikipedia often contain subtle bugs because {{SUBJECTSPACE}} is compared to the output of {{NS:…}}. The workaround is to always specify the page name explicitly, i.e. {{SUBJECTSPACE:{{FULLPAGENAME}}}}, but it is quite inconvenient to have to continually add this workaround to templates copied from other wikis.

Moreover, the English Wikipedia’s “Education Program” namespace and English Wiktionary’s “Sign gloss” namespace are also affected, as would any project namespace named with a compound word.


Version: 1.21.x
Severity: normal
URL: http://vi.wikipedia.org/wiki/Thành_viên:Mxn/Từ_thần_chú_không_gian_tên

Details

Reference
bz46742

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:32 AM
bzimport added a project: MediaWiki-Parser.
bzimport set Reference to bz46742.
mxn created this task.Mar 31 2013, 9:54 PM

Related URL: https://gerrit.wikimedia.org/r/61936 (Gerrit Change I1af2432cb453efff209e5c384eb484cff5440ebb)

Change 61936 merged by jenkins-bot:
Convert underscores to spaces in {{SUBJECTSPACE}}

https://gerrit.wikimedia.org/r/61936

Minh: Patch got merged. Is this still a problem, or can this report be closed as RESOLVED FIXED?

mxn added a comment.Sep 25 2013, 10:14 AM

It's fixed now. Thanks!